<?php use_helper('UrlFunctions');?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

$s_User = myUser::getUser()->getUserId();
if( $b_Control )
{
    $o_ClienteTelefonoDP = new CrClienteTelefonoDP();
    
    
    $o_OperadorFN = new CrTelefonoOperadorFN();
	$o_OperadorFN->setIdOperador($IdOperador);
	$o_OperadorFNT = $o_OperadorFN->selectByPK();
	
	if($o_OperadorFNT){
		$NombreOperador = $o_OperadorFNT->getDescripcion();
	}
	
	//Lista de Fuentes
	$o_TipoFN = new CrTelefonoTipoFN();
	$o_TipoFN->setIdTipoTelefono($IdTipo);
	$o_TipoFNT = $o_TipoFN->selectByPK();
	
	if($o_TipoFNT){
		$NombreTipoTelefono = $o_TipoFNT->getDescripcion();
	}
    
    $o_ClienteTelefonoDP->setNombreTipoTelefono($NombreTipoTelefono );
    $o_ClienteTelefonoDP->setNombreOperador($NombreOperador);
    
    $o_ClienteTelefonoDP->setIdCliente( $IdCliente );
    $o_ClienteTelefonoDP->setPertenece( $IdPertenece );
    $o_ClienteTelefonoDP->setIdOperador( $IdOperador );
    $o_ClienteTelefonoDP->setIdTipoTelefono( $IdTipo );
    $o_ClienteTelefonoDP->setNumero($Numero );
    $o_ClienteTelefonoDP->setComentario($Comentario );
    $o_ClienteTelefonoDP->setEstado($Estado );
   
    if( isset( $i_Id ) )
    {
        //UPDATE
        $o_ClienteTelefonoDP->setIdTelefono(( int ) $i_Id );
        $o_ClienteTelefonoDP->setUsuarioActualizacion( $s_User );
        $o_ClienteTelefonoDP->setFechaActualizacion( date( "Y-m-d H:i:s" ) );
        $b_Result = $o_ClienteTelefonoDP->update();
    }
    else
    {
        //SAVE
        
        $o_ClienteTelefonoDP->setFechaRegistro( date( "Y-m-d H:i:s" ) );
        $o_ClienteTelefonoDP->setUsuarioRegistro( $s_User );
        $b_Result = $o_ClienteTelefonoDP->save();
    }

    if( $b_Result )
    {
        ?>
        <script>
        
        parent.findControl();
        parent.objMainTab.windowsCloseAll();
        </script>
        <?php
    }
    else
    {
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong> '.$s_MensajeError.'</p></div></div>';
    }
}

  
//Lista de Operadores
$o_OperadorFN = new CrTelefonoOperadorFN();
$o_OperadorFN->setEstado('A');
$a_o_OperadorFN = $o_OperadorFN->select();

//Lista de Fuentes
$o_TipoFN = new CrTelefonoTipoFN();
$o_TipoFN->setEstado('A');
$a_o_TipoFN = $o_TipoFN->select();

if( isset( $i_Id ) )
{
	
	
    $o_CrClienteTelefonoFN = new CrClienteTelefonoFN();
    $o_CrClienteTelefonoFN->setIdTelefono($i_Id);
    $o_CrClienteTelefonoBN = $o_CrClienteTelefonoFN->selectByPK();
    
    
    if( $o_CrClienteTelefonoBN )
    {
        //echo "<pre>"; print_r( $o_CrClienteTelefonoBN ); echo "</pre>";
        $IdCliente   		= $o_CrClienteTelefonoBN->getIdCliente();
        $IdTipoTelefono     = $o_CrClienteTelefonoBN->getIdTipoTelefono();
        $Numero				= $o_CrClienteTelefonoBN->getNumero();
        $IdOperador		    = $o_CrClienteTelefonoBN->getIdOperador();
        $Pertenece		    = $o_CrClienteTelefonoBN->getPertenece();
        $Comentario		    = $o_CrClienteTelefonoBN->getComentario();
        $estado			    = $o_CrClienteTelefonoBN->getEstado();
        
    }
   
}
 
 ?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Telefono<span class="subtitle"><I>&nbsp;</I></span></li>
            </td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      
  <tr>
    <td valign="top">
     <form id="form2" name="form1" method="POST">
      <input type="hidden" name="b_Control" value="1">
      <input type="hidden" name="IdCliente" value="<?php echo $IdCliente;?>">
      <?php if($i_Id){?><input type="hidden" name="i_Id" value="<?php echo $i_Id;?>"><?php }?>
      
        <table hspace="20px" class="marco" width="96%">
          <tr>
            <td valign="top" colspan="2">
	
              <table width="100%" border="0" cellpadding="0" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  
    					
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDniCliente" >Fuente </label></td>
								<td nowrap="nowrap" width="38%">
											<select class="combo validate-selection" name="IdPertenece" id="IdPertenece" >
				                  				  <option value="" > - Seleccionar - </option>
				                  				  <option <?php if($Pertenece == "Cliente") echo "selected"?> value="Cliente">Cliente</option>
				                  				  <option <?php if($Pertenece == "Garante") echo "selected"?> value="Garante">Garante</option>
				                				</select>
								</td>
								
								
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNombres" >Operador </label></td>
								<td nowrap="nowrap">
									<select class="combo validate-selection" name="IdOperador" id="IdOperador" >
	                  				  <option value="" > - Seleccionar - </option>
	                 				  <?php foreach ($a_o_OperadorFN as $iKey => $o_OperadorFN){ ?>
	                  				  <option value="<?=$o_OperadorFN->getIdOperador()?>" <?php if($IdOperador == $o_OperadorFN->getIdOperador()) echo "selected"?> >
	                    			 <?=$o_OperadorFN->getDescripcion()?>
	                   	              </option>
	                  					<?php } ?>
	                				</select>
								</td>
								
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoPaterno">Tipo </label></td>
								<td nowrap="nowrap" width="38%">
									<select class="combo validate-selection " name="IdTipo" id="IdTipo" >
		                  				  <option value="" > - Seleccionar - </option>
		                 				  <?php foreach ($a_o_TipoFN as $iKey => $o_TipoFN){ ?>
		                  				  <option value="<?=$o_TipoFN->getIdTipoTelefono()?>" <?php if($IdTipoTelefono == $o_TipoFN->getIdTipoTelefono()) echo "selected"?>>
		                    			 <?=$o_TipoFN->getDescripcion()?>
		                   	              </option>
		                  					<?php } ?>
		                				</select>
								</td>
								 
							  </tr>
							  
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoMaterno" >N&uacute;mero </label></td>
								<td nowrap="nowrap" width="38%"><input class="text required" type="text" name="Numero" id="Numero"  size="20" maxlength="20" value="<?php echo $Numero;?>"/></td>
								
								
							  </tr>
							   <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoMaterno" >Comentario </label></td>
								<td nowrap="nowrap" width="38%"><input class="text required" type="text" name="Comentario" id="Comentario"  size="50" maxlength="200" value="<?php echo $Comentario;?>"/></td>
								
								
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoPaterno">Estado </label></td>
								<td nowrap="nowrap" width="38%">
									<select class="combo validate-selection " name="Estado" id="Estado" >
										<option value="" > - Seleccionar - </option>
		                  				<option value="A" <?php if($estado == "A") echo "selected"?>>Activo</option>
									  	<option value="I" <?php if($estado == "I") echo "selected"?>>Inactivo</option> 
		                			</select>
								</td>
								 
							  </tr>
						</table>
    							
    				</td>
                </tr>
    			<tr>
  				  <td height="0" width="100%">
				   
  					
  				   <table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td><img src="/images/common/spacer.gif" width="10"></td>
					 </tr>
						<tr>
						 <td align="center">
						  <input type="hidden" name="typeSubmit" id="typeSubmit">
						  <input type="hidden" name="noredir" id="noredir" value="<?=$noredir?>">
						  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='addEditTelefono';">
						   <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
						  </td>
						</tr>
						<tr>
					<td height="10">&nbsp;</td>
				 </tr>
			    </table>
				</fieldset>
          		 </td>
        		</tr>
				<tr>
      			</table>
      			
     		</form>
			<script type="text/javascript">
				var valid = new Validation('form2', {immediate : true});
			</script>
			</td>
  		  </tr>
		</table>
    </td>
  </tr>
</table>
